function IQMtext = create_IQMtext_file(moments,equations,highermoments) 

fileID = fopen('template.txt');
C = textscan(fileID, '%s', 'Delimiter','\n');
fclose(fileID);

formatSpecEq = 'd/dt(%s) = %s\n';
formatSpecIC = '%s(0) = 0\n';
formatSpecVar = '%s = 0.1\n';
    
fid = fopen('moments.txt','w');
fprintf( fid, '%s\n', C{1}{1});
fprintf( fid, '%s\n', 'Moment equations');
for jj = 2 : 5
	fprintf( fid, '%s\n', C{1}{jj});
end

fprintf(fid, formatSpecEq, [moments.'; equations.']);
fprintf( fid, '%s\n', C{1}{6});
fprintf(fid, formatSpecIC, moments);

fprintf( fid, '%s\n', C{1}{6});
fprintf( fid, '%s\n', C{1}{7});

fprintf(fid, formatSpecVar, highermoments);

for jj = 8 : length(C{1})
	fprintf( fid, '%s\n', C{1}{jj} );
end
fclose(fid);
end