% Function to find all power combinations for the set of inputs
function A = powers(n,k) 
%%% INPUT
% n - number of inputs
% k - power

%%% OUTPUT
% A - matrix of all power combinations 
    m = nchoosek(k+n-1,n-1); 
    dividers = [zeros(m,1),nchoosek((1:(k+n-1))',n-1),ones(m,1)*(k+n)]; 
    A = diff(dividers,1,2)-1;
end